Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1771023 - graph-tool 2.43 does not build on i686
Summary: graph-tool 2.43 does not build on i686
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-graph-tool
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2003169
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86
TreeView+ depends on / blocked
 
Reported: 2019-11-11 18:18 UTC by Ankur Sinha (FranciscoD)
Modified: 2022-05-02 01:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-02 01:23:40 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
build log from failed i686 build (deleted)
2019-11-11 18:28 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2019-11-11 18:18:13 UTC
Graph tool does not build on i686 at the moment. Upstream says they can build the git checkout without issues, so this should hopefully be fixed with the new release.

Upstream issue: https://git.skewed.de/count0/graph-tool/issues/613$

Comment 1 Ankur Sinha (FranciscoD) 2019-11-11 18:28:10 UTC
Created attachment 1634965 [details]
build log from failed i686 build

Comment 2 Ben Cotton 2020-11-03 15:47:50 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2021-02-09 15:13:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 4 Ben Cotton 2021-08-10 12:46:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 5 Ben Beasley 2021-09-09 16:04:04 UTC
Updating this bug to reflect current status. Here is a sample error:

Now the problem looks like:

>   ../../../src/pcg-cpp/include/pcg_random.hpp:1247:40: error: call to
>       non-'constexpr' function 'pcg_extras::uint_x4<U, V>
>       pcg_extras::operator-(const pcg_extras::uint_x4<U, V>&, const
>       pcg_extras::uint_x4<U, V>&) [with UInt = unsigned int; UIntX2 = long
>       long unsigned int]'
>    1247 |         (state_type(1U) << table_pow2) - state_type(1U);
>         |         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~
>   In file included from ../../../src/pcg-cpp/include/pcg_extras.hpp:84,
>                    from ../../../src/pcg-cpp/include/pcg_random.hpp:114,
>                    from ../../../src/graph/random.hh:21,
>                    from graph_motifs.hh:26,
>                    from graph_motifs.cc:24:
>   ../../../src/pcg-cpp/include/pcg_uint128.hpp:642:22: note:
>       'pcg_extras::uint_x4<U, V> pcg_extras::operator-(const
>       pcg_extras::uint_x4<U, V>&, const pcg_extras::uint_x4<U, V>&) [with
>       UInt = unsigned int; UIntX2 = long long unsigned int]' declared here
>     642 | uint_x4<UInt,UIntX2> operator-(const uint_x4<UInt,UIntX2>& a,
>         |                      ^~~~~~~~


As noted earlier in this issue, this was previously reported upstream at https://git.skewed.de/count0/graph-tool/issues/617, although we can expect that upstream won’t work on it unless we inform them that it’s still a problem on the current version.

The armv7hl architecture is also affected (https://bugzilla.redhat.com/show_bug.cgi?id=1771024), so this appears to be a 32-bit issue. I haven’t yet tried to fix it.

Comment 6 Ben Beasley 2021-09-24 17:42:20 UTC
The root cause is this issue in pcg-cpp: https://github.com/imneme/pcg-cpp/issues/64

Comment 7 Ben Cotton 2022-02-08 21:39:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.


Note You need to log in before you can comment on or make changes to this bug.